## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# ICUBridgeCollationCompareFunctorImpl Class Reference

Inheritance diagram for ICUBridgeCollationCompareFunctorImpl:

[legend]
Collaboration diagram for ICUBridgeCollationCompareFunctorImpl:

[legend]
List of all members.

## Public Types

- typedef XalanList< CollationCacheStruct > CollatorCacheListType
- enum { eCacheMax = 10 }

## Public Member Functions

- ICUBridgeCollationCompareFunctorImpl (MemoryManagerType &theManager, bool fCacheCollators=false)
    Constructor.
- ~ICUBridgeCollationCompareFunctorImpl ()
- MemoryManagerType & getMemoryManager () const
- int operator() (const XalanDOMChar *theLHS, const XalanDOMChar *theRHS, XalanCollationServices::eCaseOrder theCaseOrder=XalanCollationServices::eDefault) const
- int operator() (const XalanDOMChar *theLHS, const XalanDOMChar *theRHS, const XalanDOMChar *theLocale, XalanCollationServices::eCaseOrder theCaseOrder=XalanCollationServices::eDefault) const
- bool isValid () const

## Static Public Member Functions

- ICUBridgeCollationCompareFunctorImpl * create (MemoryManagerType &theManager, bool fCacheCollators=false)

## Member Typedef Documentation

typedef XalanList<CollationCacheStruct> ICUBridgeCollationCompareFunctorImpl::CollatorCacheListType

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  eCacheMax |

## Constructor & Destructor Documentation

ICUBridgeCollationCompareFunctorImpl::ICUBridgeCollationCompareFunctorImpl | ( | MemoryManagerType & | theManager,
|  | bool | fCacheCollators = false
| ) |

  | Constructor. Parameters:
  fCacheCollators | If true, the instance will cache collators. This is not thread-safe, so each thread must have its own instance.

ICUBridgeCollationCompareFunctorImpl::~ICUBridgeCollationCompareFunctorImpl | ( |  | ) |

## Member Function Documentation

ICUBridgeCollationCompareFunctorImpl* ICUBridgeCollationCompareFunctorImpl::create | ( | MemoryManagerType & | theManager,
|  | bool | fCacheCollators = false
| ) | `[static]`

MemoryManagerType& ICUBridgeCollationCompareFunctorImpl::getMemoryManager | ( |  | ) | const

bool ICUBridgeCollationCompareFunctorImpl::isValid | ( |  | ) | const

int ICUBridgeCollationCompareFunctorImpl::operator() | ( | const XalanDOMChar * | theLHS,
|  | const XalanDOMChar * | theRHS,
|  | const XalanDOMChar * | theLocale,
|  | XalanCollationServices::eCaseOrder | theCaseOrder = XalanCollationServices::eDefault
| ) | const

int ICUBridgeCollationCompareFunctorImpl::operator() | ( | const XalanDOMChar * | theLHS,
|  | const XalanDOMChar * | theRHS,
|  | XalanCollationServices::eCaseOrder | theCaseOrder = XalanCollationServices::eDefault
| ) | const

The documentation for this class was generated from the following file:

- ICUBridgeCollationCompareFunctorImpl.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.